/*
 * Timer manual reload
 */ 

#define F_CPU 16000000

#include <avr/io.h>
#include <avr/interrupt.h>

#define LED 0
#define PRELOAD_5MS 0x100 - 78
#define PRELOAD_3MS 0x100 - 47     //Timer overflow after 3 ms @16MHz



void setup(); 
int main(void)
{   setup(); 
	sei(); 
    while(1)
    {
        //TODO:: Please write your application code 
		for (volatile int i; i<10;i++); 
    }
}

void setup(){
	// div 1024 ==> CS0=5
	TCCR0B |=_BV(CS02)|_BV(CS00); 
	TIMSK0 |= _BV(TOIE0); //int enable
	
	DDRB |= _BV(LED); 
	
}
ISR(TIMER0_OVF_vect){
	 
	 PORTB ^= _BV(LED); 
	 if (PORTB & _BV(LED)) 
	    TCNT0 = PRELOAD_5MS;
	 else 
	    TCNT0 = PRELOAD_3MS;
	 
	
}